When will wpa supplicant 0.6.0 stable version get released?

Jouni Malinen j at w1.fi
Sun Dec 16 22:45:36 EST 2007


On Mon, Dec 17, 2007 at 08:51:54AM +0530, Raghavendra. S wrote:

>   I need to provide support for Adhoc network creation and Adhoc
> connection. Some time back Dan Williams has replied me that these are
> not supported in version 0.5.x. So I am planning to use 0.6.x..I am
> not very particular about using 0.6.0. Can you suggest me which of
> 0.6.x version is safe to use.

As far as the development branch is concerned, there are no particularly
testing releases and I would use the latest snapshot of the Git tree..
However, if the adhoc network configuration is the only reason for using
0.6.x, I would consider using the stable 0.5.x branch and just
backporting whatever minimal changes are needed for adhoc, if any,
depending on your needs.

>  Also I am planning to modify wpa_cli, as thread and will use in my
> product, Is there any Licensing issue involved? I am not modifying
> wpa_supplicant binary.

wpa_cli is licensed with the same terms as wpa_supplicant, i.e., using
GPLv2 or BSD (the one without so called advertisement clause). Just like
with any other piece of software (well, maybe apart from public domain),
one should be aware of the licensing terms when considering distributing
modified versions. Anyway, I would not expect to see any problems in
being able to meet the requirements of the BSD-like license that you may
opt to use for distributing your modified version.

-- 
Jouni Malinen                                            PGP id EFC895FA



More information about the HostAP mailing list